 use "F:\paper\finaldata2.dta" ,clear
 rename SP SA
 rename MP MA
 rename RSP RSA
 rename RMP RMA
 
 gen a=10^50 
 replace free=free/a
 gen lnm=ln(m)
 gen lng1=ln(global1)
 gen lng2=ln(global2)
 gen lnl1=ln(local1)
 gen lnl2=ln(local2)
 gen lnd=ln(Distw/100)
 gen lnf=ln(free+1)
 gen lnsp=ln(MA+1)
 gen lnrsp=ln(RMA+1)
 gen lngdp_d=ln(GDP_d/1000000+1)
 gen wto=GATT_o*GATT_d
 gen lnlight=ln(light)
 gen d_devel=1 if level=="high"
 replace d_devel=0 if d_devel==.
 gen d_im=1 if im>55
 replace d_im=0 if d_im==.
 
 set more off
 reg lnm lngdp_d  lnsp
 est store ols1
 reg lnm lngdp_d  lnsp lnd  Comlang Contig Evercol  wto rta d_im d_devel
 est store ols2 
 reg lnm lngdp_d  lnsp lnd  Comlang Contig Evercol  wto rta d_im d_devel  i.year
 est store ols3
 reg lng1 lngdp_d  lnsp 
 est store ols4
 reg lng1 lngdp_d  lnsp lnd  Comlang Contig Evercol  wto rta d_im d_devel
 est store ols5
 reg lng1 lngdp_d  lnsp lnd  Comlang Contig Evercol  wto rta d_im d_devel i.year
 est store ols6 
 reg lnl1 lngdp_d  lnsp
 est store ols7
 reg lnl1 lngdp_d  lnsp lnd  Comlang Contig Evercol  wto rta d_im d_devel
 est store ols8
 reg lnl1 lngdp_d  lnsp lnd  Comlang Contig Evercol  wto rta d_im d_devel i.year
 est store ols9
 outreg2 [ols1 ols2 ols3 ols4 ols5 ols6 ols7 ols8 ols9] using t345_ols.xls
 
 quietly tabulate year, gen (year_fe)
 set more off
 ppml lnm lngdp_d  lnsp
 est store ppml1
 ppml lnm lngdp_d  lnsp lnd  Comlang Contig Evercol  wto rta d_im d_devel
 est store ppml2 
 glm lnm lngdp_d  lnsp lnd  Comlang Contig Evercol  wto rta d_im d_devel  year_fe*, family(poisson)
 est store ppml3
 set more off
 ppml lng1 lngdp_d  lnsp 
 est store ppml4
 ppml lng1 lngdp_d  lnsp lnd  Comlang Contig Evercol  wto rta d_im d_devel
 est store ppml5
 set more off
 glm lng1 lngdp_d  lnsp lnd  Comlang Contig Evercol  wto rta d_im d_devel year_fe*, family(poisson)
 est store ppml6 
 ppml lnl1 lngdp_d  lnsp
 est store ppml7
 ppml lnl1 lngdp_d  lnsp lnd  Comlang Contig Evercol  wto rta d_im d_devel
 est store ppml8
 glm lnl1 lngdp_d  lnsp lnd  Comlang Contig Evercol  wto rta d_im d_devel year_fe*, family(poisson)
 est store ppml9
 outreg2 [ppml1 ppml2 ppml3 ppml4 ppml5 ppml6 ppml7 ppml8 ppml9] using t345_ppml.xls
 
 set more off
 ivpoisson gmm lng1 lnsp (lngdp_d = lnlight) lnd  Comlang Contig Evercol  wto rta d_im d_devel
 est store ivp1
 ivpoisson gmm lng1 lnsp (lngdp_d = lnlight) lnd  Comlang Contig Evercol  wto rta d_im d_devel year_fe*
 est store ivp2
 ivpoisson gmm lnl1 lnsp (lngdp_d = lnlight) lnd  Comlang Contig Evercol  wto rta d_im d_devel
 est store ivp3
 ivpoisson gmm lnl1 lnsp (lngdp_d = lnlight) lnd  Comlang Contig Evercol  wto rta d_im d_devel year_fe*
 est store ivp4
 outreg2 [ivp1 ivp2 ivp3 ivp4 ] using t6.xls
 
 set more off
 ivpoisson gmm lng2 lnsp lnd  Comlang Contig Evercol  wto rta d_im d_devel year_fe* (lngdp_d = lnlight)
 est store ivp2_3 
 ivpoisson gmm lnl2 lnsp lnd  Comlang Contig Evercol  wto rta d_im d_devel  year_fe* (lngdp_d = lnlight)
 est store ivp2_6 
 ppml lnm lnrsp lngdp_d lnd  Comlang Contig Evercol  wto rta d_im d_devel year_fe*
 est store p2 
 ivpoisson gmm lng1 (lngdp_d=lnlight)   lnrsp lnd Comlang Contig Evercol  wto rta d_im d_devel year_fe*
 est store p6
 ivpoisson gmm lnl1 (lngdp_d=lnlight)  lnrsp lnd Comlang Contig Evercol  wto rta d_im d_devel year_fe*
 est store p8
 outreg2 [ivp2_3 ivp2_6 p2 p6 p8] using t7.xls
 
 gen r=1
 bysort firmcodeHG year: egen R=sum(r)
 
 set more off
 ppml lnm lnsp lngdp_d lnd  Comlang Contig Evercol  wto rta d_im d_devel year_fe* if R<11
 est store p1 
 ppml lnm lnsp lngdp_d lnd  Comlang Contig Evercol  wto rta d_im d_devel year_fe* if R>10 & R<51
 est store p2
 ppml lnm lnsp lngdp_d lnd  Comlang Contig Evercol  wto rta d_im d_devel year_fe* if R>50
 est store p3
 ivpoisson gmm lng1 (lngdp_d=lnlight)   lnsp lnd Comlang Contig Evercol  wto rta d_im d_devel year_fe*  if R<11
 est store p4
 ivpoisson gmm lng1 (lngdp_d=lnlight)   lnsp lnd Comlang Contig Evercol  wto rta d_im d_devel year_fe* if R>10 & R<51
 est store p5
 ivpoisson gmm lng1 (lngdp_d=lnlight)   lnsp lnd Comlang Contig Evercol  wto rta d_im d_devel year_fe* if R>50
 est store p6 
 ivpoisson gmm lnl1 (lngdp_d=lnlight)   lnsp lnd Comlang Contig Evercol  wto rta d_im d_devel year_fe*  if R<11
 est store p7
 ivpoisson gmm lnl1 (lngdp_d=lnlight)   lnsp lnd Comlang Contig Evercol  wto rta d_im d_devel year_fe* if R>10 & R<51
 est store p8
 ivpoisson gmm lnl1 (lngdp_d=lnlight)   lnsp lnd Comlang Contig Evercol  wto rta d_im d_devel year_fe* if R>50
 est store p9
 outreg2 [p1 p2 p3 p4 p5 p6 p7 p8 p9] using t8.xls 

 gen lnR=ln(R)
 gen inter1=lngdp_d*lnR
 gen inter2=lnsp*lnR
 set more off
 ppml lnm lnsp lngdp_d lnd  Comlang Contig Evercol  wto rta d_im d_devel inter1  year_fe*
 est store p1
 ppml lnm lnsp lngdp_d lnd  Comlang Contig Evercol  wto rta d_im d_devel  inter2 year_fe*
 est store p2
 ivpoisson gmm lng1 (lngdp_d=lnlight)   lnsp lnd Comlang Contig Evercol  wto rta d_im d_devel inter1 year_fe*
 est store p4
 ivpoisson gmm lng1 (lngdp_d=lnlight)   lnsp lnd Comlang Contig Evercol  wto rta d_im d_devel inter2 year_fe*
 est store p5
 ivpoisson gmm lnl1 (lngdp_d=lnlight)  lnsp lnd Comlang Contig Evercol  wto rta d_im d_devel inter1 year_fe*
 est store  p7
 ivpoisson gmm lnl1 (lngdp_d=lnlight)  lnsp lnd Comlang Contig Evercol  wto rta d_im d_devel inter2  year_fe*
 est store  p8
 outreg2 [p1 p2 p4 p5 p7 p8 ] using t9.xls
 
 gen lngdp2=lngdp_d *lngdp_d 
 gen lnsp2=lnsp*lnsp 
 set more off
 reg lnR lngdp_d  lnsp lngdp2 lnsp2
 est store ols1
 reg lnR lngdp_d  lnsp lnd lngdp2 lnsp2 Comlang Contig Evercol  wto rta d_im d_devel
 est store ols2
 reg lnR lngdp_d  lnsp lnd lngdp2 lnsp2 Comlang Contig Evercol  wto rta d_im d_devel i.year
 est store ols3
 ppml lnR lngdp_d  lnsp lngdp2 lnsp2
 est store ppml1
 ppml lnR lngdp_d  lnsp lngdp2 lnsp2 lnd  Comlang Contig Evercol  wto rta d_im d_devel
 est store ppml2
 set more off
 glm lnR lngdp_d  lnsp lngdp2 lnsp2 lnd  Comlang Contig Evercol  wto rta d_im d_devel  year_fe*, family(poisson)
 est store ppml3 
 outreg2 [ols1 ols2 ols3 ppml1 ppml2 ppml3] using t10.xls 
 
 